Skip to main content
Upload and add desired functions
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/desired_functions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "titles": [
    {
      "job_title": "Business analyst"
    },
    {
      "job_title": "Data Scientist"
    }
  ]
}
'
[
  {
    "title": "400 Bad Request",
    "description": "The request body was not structured correctly."
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

language
enum<string>
required

The language of the input data, which has an impact on the Skill extraction. auto will automatically detect the language used in the provided data.

Available options:
auto,
nl,
fr,
en,
de
Example:

"en"

request_format
enum<string>
default:list

Explicitly sets the input format used to represent the submitted desired functions as either:

  • a structured list of Job title objects.
  • free-text multiline string input in which each line contains at most one Job title.
Available options:
list,
free_text
Example:

"list"

Body

application/json

Collection of desired functions that should be considered in matching.

titles
job_title · object[]
required
Example:
[
{ "job_title": "Business analyst" },
{ "job_title": "Data Scientist" }
]

Response

No Content